View Issue Details

IDProjectCategoryView StatusLast Update
0002418Far Manager_Commonpublic2013-06-01 10:33
ReporterccaidAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0002418: Проблема импорта shortcuts из Default.farconfig
Descriptionshortcuts могут быть импортированы из Default.farconfig только при первой загрузке Far, для этого надо вызвать любую ссылку.
Steps To Reproduceудаляем профиль Far'а (я использовал локальный), создаем файл Default.farconfig (его содержимое указано в Additional Information), настраиваем Far.exe.ini, чтобы Default.farconfig подхватывался, запускаем Far, для надежности можно нажать ShiftF9 (все равно не поможет), выходим из Far, опять запускаем Far, пытаемся вызвать ссылку — а ее нет.
обсуждение на форуме: http://forum.farmanager.com/viewtopic.php?p=110542#p110542
Additional Information<?xml version="1.0" encoding="UTF-8" ?>
<farconfig version="3.0.3431">
    <shortcuts>
        <hierarchicalconfig>
            <key name="Shortcuts" description="">
                <key name="0" description="">
                    <value name="Shortcut0" type="text" value="%UserProfile%" />
                </key>
            </key>
        </hierarchicalconfig>
    </shortcuts>
</farconfig>
TagsNo tags attached.
Build3438

Activities

2useven10

2013-05-30 23:51

developer   bugnote:0011053

импорт шорткатов из Default.farconfig происходит при первом обращении к ним.
если вызова шорткатов не было, база shortcuts.db не создаётся.
при втором запуске с тем же Far.exe.ini и Default.farconfig при вызове шортката данные импортируются и переносятся в базу, шорткат работает.

так что не воспроизводится.

2useven10

2013-05-31 00:00

developer   bugnote:0011054

Last edited: 2013-05-31 00:25

View 2 revisions

хотя, если при первом запуске сохранить конфигурацию, база запишется - пустая.

поправка - НЕТ, не создаётся. всё работает правильно.

ccaid

2013-05-31 09:04

reporter   bugnote:0011055

уточнение. если экспорт в xml произведен до первого вызова любой ссылки, то создается пустая база. то есть импортировать из Default.farconfig ссылки удается не до первого выхода из Far, как я написал ранее, а до первого экспорта в xml.
проблема - в коде экспорта в xml, а не импорта из Default.farconfig

2useven10

2013-05-31 11:54

developer   bugnote:0011056

пробуем -- 3438

ccaid

2013-06-01 10:17

reporter   bugnote:0011066

исправлено

Issue History

Date Modified Username Field Change
2013-05-30 19:17 ccaid New Issue
2013-05-30 23:51 2useven10 Note Added: 0011053
2013-05-31 00:00 2useven10 Note Added: 0011054
2013-05-31 00:25 2useven10 Note Edited: 0011054 View Revisions
2013-05-31 09:04 ccaid Note Added: 0011055
2013-05-31 11:54 2useven10 Note Added: 0011056
2013-05-31 11:54 2useven10 Assigned To => 2useven10
2013-05-31 11:54 2useven10 Status new => feedback
2013-06-01 10:17 ccaid Note Added: 0011066
2013-06-01 10:17 ccaid Status feedback => assigned
2013-06-01 10:33 2useven10 Build => 3438
2013-06-01 10:33 2useven10 Status assigned => closed
2013-06-01 10:33 2useven10 Resolution open => fixed
2013-06-01 10:33 2useven10 Fixed in Version => 3.0